Deactivate Sync

This function is used disable a specific account to sync with their Salesforce and allow all changes to be reflected within Salesforce.


Examples
curl -X POST "https://secure.fusebill.com/v1/Salesforce/DisableSynch/{customerId}" \
	-H "Content-Type: application/json" \
	-H "Content-Length: 0" \
	-H "Authorization: Basic {APIKey}"
//Json Payload
int customerId = {customerId};
//Setup API key
string apiKey = "{APIKey}";
//Configure URI
WebRequest request = WebRequest.Create("HTTPS://secure.fusebill.com/v1/Salesforce/DisableSynch/"+customerId);
//Set Content Length
request.ContentLength = 0;
//Add Content type
request.ContentType = "application/json";
//Add Api key authorization
request.Headers.Add(HttpRequestHeader.Authorization, "Basic " + apiKey);
//Set request method
request.Method = "POST";
//Perform the request
var httpResponse = (HttpWebResponse)request.GetResponse();
//Record the response from our request
var result = "";
using (var streamReader = new StreamReader(httpResponse.GetResponseStream()))
{
  result = streamReader.ReadToEnd();
}
#Import library Requests
import requests
#Pass in a dictionary to the Headers parameter
headers = {'Authorization' : 'Basic {APIKey}', 'Content-Type' : 'application/json'}
#Pass in a dictionary to the Payload parameter
#Pass in your URI, and Headers
r = requests.post('https://secure.fusebill.com/v1/Salesforce/DisableSynch/{id}', headers=headers)
print(r.content)
This request does not have a JSON payload
Response
{ 
   "firstName":"John",
   "middleName":null,
   "lastName":"Doe",
   "companyName":"Stolen Bikes",
   "suffix":null,
   "primaryEmail":"[email protected]",
   "primaryPhone":"613-555-5555",
   "secondaryEmail":"[email protected]",
   "secondaryPhone":null,
   "title":"Mr",
   "reference":"1337",
   "status":"Active",
   "customerAccountStatus":"Good",
   "currency":"USD",
   "customerReference":null,
   "customerAcquisition":null,
   "monthlyRecurringRevenue":25.9800,
   "netMonthlyRecurringRevenue":25.9800,
   "salesforceId":"0014100000JJ3wtAAD",
   "salesforceAccountType":null,
   "salesforceSynchStatus":"Disabled",
   "netsuiteId":null,
   "netsuiteCustomerType":"",
   "portalUserName":null,
   "parentId":null,
   "quickBooksLatchType":null,
   "quickBooksId":null,
   "quickBooksSyncToken":null,
   "id":172677,
   "uri":"/172677"
}
{
    "ErrorId": 0,
    "HttpStatusCode": 404,
    "Errors": [
        {
            "Key": "Api Error",
            "Value": "Customer with id 12 not found."
        }
    ]
}
Path Params
integer
required

The Stax Bill ID of the customer to deactivate Salesforce syncing.

Response
200
Language
Credentials
Header
LoadingLoading…